kill @e[type=item]
scoreboard players operation @a[tag=!host] wave = @a[tag=host,c=1] wave
scoreboard players operation @a[tag=!host] wavetime = @a[tag=host,c=1] wavetime 
scoreboard players operation @a[tag=!host] skip = @a[tag=host,c=1] skip
scoreboard players operation @a[tag=!host] second = @a[tag=host,c=1] second
scoreboard players operation @a[tag=!host] minute = @a[tag=host,c=1] minute
scoreboard players operation @a[tag=!host] hour = @a[tag=host,c=1] hour
scoreboard players operation @a[tag=!host] second2 = @a[tag=host,c=1] second2
execute as @a[tag=host,tag=!play] at @s as @a[tag=!host,tag=play] run tp @s -37 -55 -46
execute as @a[tag=host,tag=play] at @s as @a[tag=!host,tag=!play] run tp @s @p[tag=host]
execute as @a[tag=host,tag=play] at @s as @a[tag=!host,tag=!play] run tag @s add play2
execute as @a[tag=host,tag=play] at @s as @a[tag=!host,tag=!play,tag=play2] run tag @s add play
execute as @a[tag=host,tag=!play] at @s as @a[tag=!host,tag=play] run function reset
execute as @a[tag=host,tag=play,tag=mode:easy] at @s as @a[tag=!host,tag=!play,tag=!mode:easy] run tag @s add mode:easy
execute as @a[tag=host,tag=play,tag=mode:easy] at @s as @a[tag=!host,tag=!play,tag=mode:hard] run tag @s remove mode:hard
execute as @a[tag=host,tag=play,tag=mode:hard] at @s as @a[tag=!host,tag=!play,tag=!mode:hard] run tag @s add mode:hard
execute as @a[tag=host,tag=play,tag=mode:hard] at @s as @a[tag=!host,tag=!play,tag=mode:easy] run tag @s remove mode:easy

scoreboard objectives add record:easy dummy
scoreboard objectives add record:hard dummy

scoreboard players add @e second 0
scoreboard players add @e minute 0
scoreboard players add @e hour 0
scoreboard players add @a[tag=play] second2 1
scoreboard players add @e[scores={second2=20..}] second 1
scoreboard players set @e[scores={second2=20..}] second2 0
scoreboard players add @e[scores={second=60..}] minute 1
scoreboard players set @e[scores={second=60..}] second 0
scoreboard players add @e[scores={minute=60..}] hour 1
scoreboard players set @e[scores={minute=60..}] minute 0
scoreboard players add @e shield 0
scoreboard players add @e dmg 0
scoreboard players add @e dmg 0
scoreboard objectives add buff dummy
scoreboard objectives add dmg dummy
execute as @e at @s run scoreboard players set @s dmg 0
execute as @e[family=raider,tag=lv1] at @s positioned ~~-1~ run scoreboard players set @e[family=tower,r=9] dmg 1
execute as @e[family=raider,tag=lv2] at @s positioned ~~-1~ run scoreboard players set @e[family=tower,r=11] dmg 2
execute as @e[family=raider,tag=lv3] at @s positioned ~~-1~ run scoreboard players set @e[family=tower,r=12] dmg 3
execute as @e[family=raider,tag=lv4] at @s positioned ~~-1~ run scoreboard players set @e[family=tower,r=14] dmg 5
execute as @e[family=raider,tag=lv5] at @s positioned ~~-1~ run scoreboard players set @e[family=tower,r=20] dmg 5
execute as @e[family=tower,scores={buff=1..}] at @s run scoreboard players set @s dmg 10
scoreboard players add @e[family=tower,scores={buff=1..}] buff2 1
scoreboard players set @e[family=tower,scores={buff=..0}] buff2 0
scoreboard players add @e[family=tower,scores={buff=1..}] buff -1
execute as @e[family=tower,scores={buff2=1}] at @s run particle buff ~~-0.5~
scoreboard players set @e[family=tower,scores={buff2=20..}] buff2 0
scoreboard objectives add allskip dummy
scoreboard players set @a allskip 0
execute as @a[tag=skip] at @s run scoreboard players add @a allskip 1
execute as @a[tag=skip] at @s if score @s players = @s allskip run scoreboard players set @a[scores={skip2=..0,players=1..},tag=skip] skip2 101
scoreboard players add @a[scores={skip2=1..}] skip2 -1
tag @a[scores={skip2=101}] remove skip
playanimation @e[family=raider,scores={attack=800}] animation.raider.horn
execute as @e[family=raider,scores={attack=800}] at @s run scoreboard players set @e[family=tower,r=20] buff 600
execute as @e[family=raider,scores={attack=800}] at @s run playsound raid.horn @a ~~~

scoreboard players add @a lose 0
scoreboard players add @a win 0
scoreboard players add @a record:easy 0
scoreboard players add @a record:hard 0

scoreboard players add @e aim 0
scoreboard players add @e aim2 0
scoreboard players set @e[family=vulcan,scores={aim=0}] stun 0
playanimation @e[family=vulcan,scores={aim=140}] animation.vulcan.aim
scoreboard players set @e[scores={stun=1..,aim=1..},family=vulcan] aim 141
scoreboard players set @e[scores={reload=100..},family=vulcan,tag=!lv5] aim 141
scoreboard players set @e[family=vulcan,scores={aim=140..},tag=!lv5] reload 0
scoreboard players set @e[scores={reload=200..},family=vulcan,tag=lv5] aim 141
scoreboard players set @e[family=vulcan,scores={aim=140..},tag=lv5] reload 0
execute as @e[family=vulcan,tag=lv1,scores={aim2=..39}] at @s positioned ~~-1~ unless entity @e[family=monster,r=9,scores={ehealth=1..}] run scoreboard players add @s aim2 1
execute as @e[family=vulcan,tag=lv1,scores={aim2=..39}] at @s positioned ~~-1~ if entity @e[family=monster,r=9,scores={ehealth=1..}] run scoreboard players set @s aim2 0
execute as @e[family=vulcan,tag=lv1,scores={aim2=40}] at @s positioned ~~-1~ unless entity @e[family=monster,r=9,scores={ehealth=1..}] run scoreboard players set @s aim 141
execute as @e[family=vulcan,tag=lv1,scores={aim=1..}] at @s positioned ~~-1~ if entity @e[family=monster,r=9,scores={ehealth=1..}] run scoreboard players add @s aim -1
execute as @e[family=vulcan,tag=lv1,scores={aim2=40}] at @s positioned ~~-1~ if entity @e[family=monster,r=9,scores={ehealth=1..}] run scoreboard players set @s aim2 0

execute as @e[family=vulcan,tag=lv2,scores={aim2=..39}] at @s positioned ~~-1~ unless entity @e[family=monster,r=11,scores={ehealth=1..}] run scoreboard players add @s aim2 1
execute as @e[family=vulcan,tag=lv2,scores={aim2=..39}] at @s positioned ~~-1~ if entity @e[family=monster,r=11,scores={ehealth=1..}] run scoreboard players set @s aim2 0
execute as @e[family=vulcan,tag=lv2,scores={aim2=40}] at @s positioned ~~-1~ unless entity @e[family=monster,r=11,scores={ehealth=1..}] run scoreboard players set @s aim 141
execute as @e[family=vulcan,tag=lv2,scores={aim=1..}] at @s positioned ~~-1~ if entity @e[family=monster,r=11,scores={ehealth=1..}] run scoreboard players add @s aim -1
execute as @e[family=vulcan,tag=lv2,scores={aim2=40}] at @s positioned ~~-1~ if entity @e[family=monster,r=11,scores={ehealth=1..}] run scoreboard players set @s aim2 0

execute as @e[family=vulcan,tag=lv3,scores={aim2=..39}] at @s positioned ~~-1~ unless entity @e[family=monster,r=12,scores={ehealth=1..}] run scoreboard players add @s aim2 1
execute as @e[family=vulcan,tag=lv3,scores={aim2=..39}] at @s positioned ~~-1~ if entity @e[family=monster,r=12,scores={ehealth=1..}] run scoreboard players set @s aim2 0
execute as @e[family=vulcan,tag=lv3,scores={aim2=40}] at @s positioned ~~-1~ unless entity @e[family=monster,r=12,scores={ehealth=1..}] run scoreboard players set @s aim 141
execute as @e[family=vulcan,tag=lv3,scores={aim=1..}] at @s positioned ~~-1~ if entity @e[family=monster,r=12,scores={ehealth=1..}] run scoreboard players add @s aim -1
execute as @e[family=vulcan,tag=lv3,scores={aim2=40}] at @s positioned ~~-1~ if entity @e[family=monster,r=12,scores={ehealth=1..}] run scoreboard players set @s aim2 0

execute as @e[family=vulcan,tag=lv4,scores={aim2=..39}] at @s positioned ~~-1~ unless entity @e[family=monster,r=13,scores={ehealth=1..}] run scoreboard players add @s aim2 1
execute as @e[family=vulcan,tag=lv4,scores={aim2=..39}] at @s positioned ~~-1~ if entity @e[family=monster,r=13,scores={ehealth=1..}] run scoreboard players set @s aim2 0
execute as @e[family=vulcan,tag=lv4,scores={aim2=40}] at @s positioned ~~-1~ unless entity @e[family=monster,r=13,scores={ehealth=1..}] run scoreboard players set @s aim 141
execute as @e[family=vulcan,tag=lv4,scores={aim=1..}] at @s positioned ~~-1~ if entity @e[family=monster,r=13,scores={ehealth=1..}] run scoreboard players add @s aim -1
execute as @e[family=vulcan,tag=lv4,scores={aim2=40}] at @s positioned ~~-1~ if entity @e[family=monster,r=13,scores={ehealth=1..}] run scoreboard players set @s aim2 0

execute as @e[family=vulcan,tag=lv5,scores={aim2=..39}] at @s positioned ~~-1~ unless entity @e[family=monster,r=14,scores={ehealth=1..}] run scoreboard players add @s aim2 1
execute as @e[family=vulcan,tag=lv5,scores={aim2=..39}] at @s positioned ~~-1~ if entity @e[family=monster,r=14,scores={ehealth=1..}] run scoreboard players set @s aim2 0
execute as @e[family=vulcan,tag=lv5,scores={aim2=40}] at @s positioned ~~-1~ unless entity @e[family=monster,r=14,scores={ehealth=1..}] run scoreboard players set @s aim 141
execute as @e[family=vulcan,tag=lv5,scores={aim=1..}] at @s positioned ~~-1~ if entity @e[family=monster,r=14,scores={ehealth=1..}] run scoreboard players add @s aim -1
execute as @e[family=vulcan,tag=lv5,scores={aim2=40}] at @s positioned ~~-1~ if entity @e[family=monster,r=14,scores={ehealth=1..}] run scoreboard players set @s aim2 0

tellraw @a[scores={skip=200,wave=0},tag=mode:hard] {"rawtext":[{"text":"-§4hard§f mode has been\nchosen §7("},{"score":{"name":"*","objective":"mode:hard"}},{"text":" votes)§f"}]}
tellraw @a[scores={skip=200,wave=0},tag=mode:easy] {"rawtext":[{"text":"-§geasy§f mode has been\nchosen §7("},{"score":{"name":"*","objective":"mode:easy"}},{"text":" votes)§f"}]}

effect @e[family=monster] regeneration 99999 255 true
effect @e[family=unit] regeneration 99999 255 true

execute as @a[scores={skip=98,base=..0},tag=!play] at @s run function money
execute as @a[scores={skip=98,base=..0},tag=!play] at @s run scoreboard players operation @s coin += @s coin2
execute as @a[scores={skip=98,base=..0},tag=!play,tag=mode:hard] at @s if score @s record:hard < @s wave run scoreboard players operation @s record:hard = @s wave
execute as @a[scores={skip=98,base=..0},tag=!play,tag=mode:easy] at @s if score @s record:easy < @s wave run scoreboard players operation @s record:easy = @s wave
execute as @a[scores={skip=98,base=..0},tag=!play] at @s run scoreboard players add @s lose 1
titleraw @a[scores={skip=98,base=..0},tag=!play] title {"rawtext":[{"text":"§l§c§k...§r§l§4Defeat§k§c...§r"},{"text":"\n§aEarned §f"},{"score":{"name":"*","objective":"coin2"}},{"text":"§7 Coin"},{"text":"\n time played: "},{"score":{"name":"*","objective":"hour"}},{"text":":"},{"score":{"name":"*","objective":"minute"}},{"text":":"},{"score":{"name":"*","objective":"second"}}]}
tag @a[scores={skip=99,base=..0}] remove play
playsound random.levelup @a[scores={skip=99,base=..0},tag=!play]
execute as @a[scores={skip=12..98,base=..0},tag=!play] at @s run function replace
execute as @a[scores={skip=98,base=..0},tag=!play] at @s run scoreboard players set @s coin2 0
execute as @a[scores={skip=11,base=..0},tag=!play] at @s run scoreboard players set @s hour 0
execute as @a[scores={skip=11,base=..0},tag=!play] at @s run scoreboard players set @s minute 0
execute as @a[scores={skip=11,base=..0},tag=!play] at @s run scoreboard players set @s second 0
execute as @a[scores={skip=11,base=..0},tag=!play] at @s run scoreboard players set @s second2 0
execute as @a[scores={skip=11,base=..0},tag=!play] at @s run tp @s -37 -55 -46
execute as @a[scores={skip=10,base=..0},tag=!play] at @s run function reset
execute as @a[scores={wavetime=1..,base=..0}] at @s run kill @e[family=monster,r=50]
stopsound @a[scores={wave=!50}] boss.theme
execute as @a[scores={wave=51,wavetime=99,base=1..}] at @s run scoreboard players set @s coin2 5000
execute as @a[scores={wave=51,wavetime=99,base=1..}] at @s run scoreboard players operation @s coin += @s coin2
execute as @a[scores={wave=51,wavetime=99,base=1..},tag=mode:hard] at @s if score @s record:hard < @s wave run scoreboard players operation @s record:hard = @s wave
execute as @a[scores={wave=51,wavetime=99,base=1..}] at @s run scoreboard players add @s win 1
titleraw @a[scores={wave=51,wavetime=99,base=1..}] title {"rawtext":[{"text":"§l§g§k...§r§l§eVictory§k§g...§r"},{"text":"\n§aEarned §f"},{"score":{"name":"*","objective":"coin2"}},{"text":"§7 Coin"},{"text":"\n time played: "},{"score":{"name":"*","objective":"hour"}},{"text":":"},{"score":{"name":"*","objective":"minute"}},{"text":":"},{"score":{"name":"*","objective":"second"}}]}
playsound random.levelup @a[scores={wave=51,wavetime=99,base=1..}]
execute as @a[scores={wave=51,wavetime=12..99,base=1..}] at @s run function replace
execute as @a[scores={wave=51,wavetime=11,base=1..}] at @s run tp @s -37 -55 -46
execute as @a[scores={wave=51,wavetime=10,base=1..}] at @s run function reset
execute as @a[scores={wave=51,wavetime=99,base=1..}] at @s run scoreboard players set @s coin2 0
execute as @a[scores={wave=51,wavetime=11,base=1..}] at @s run scoreboard players set @s hour 0
execute as @a[scores={wave=51,wavetime=11,base=1..}] at @s run scoreboard players set @s minute 0
execute as @a[scores={wave=51,wavetime=11,base=1..}] at @s run scoreboard players set @s second 0
execute as @a[scores={wave=51,wavetime=11,base=1..}] at @s run scoreboard players set @s second2 0

execute as @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy] at @s run scoreboard players set @s coin2 1000
execute as @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy] at @s run scoreboard players operation @s coin += @s coin2
execute as @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy] at @s if score @s record:easy < @s wave run scoreboard players operation @s record:easy = @s wave
execute as @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy] at @s run scoreboard players add @s win 1
titleraw @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy] title {"rawtext":[{"text":"§l§g§k...§r§l§eVictory§k§g...§r"},{"text":"\n§aEarned §f"},{"score":{"name":"*","objective":"coin2"}},{"text":"§7 Coin"},{"text":"\n time played: "},{"score":{"name":"*","objective":"hour"}},{"text":":"},{"score":{"name":"*","objective":"minute"}},{"text":":"},{"score":{"name":"*","objective":"second"}}]}
playsound random.levelup @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy]
execute as @a[scores={wave=31,wavetime=12..99,base=1..},tag=mode:easy] at @s run function replace
execute as @a[scores={wave=31,wavetime=11,base=1..},tag=mode:easy] at @s run tp @s -37 -55 -46
execute as @a[scores={wave=31,wavetime=10,base=1..},tag=mode:easy] at @s run function reset
execute as @a[scores={wave=31,wavetime=99,base=1..},tag=mode:easy] at @s run scoreboard players set @s coin2 0
execute as @a[scores={wave=31,wavetime=11,base=1..},tag=mode:easy] at @s run scoreboard players set @s hour 0
execute as @a[scores={wave=31,wavetime=11,base=1..},tag=mode:easy] at @s run scoreboard players set @s minute 0
execute as @a[scores={wave=31,wavetime=11,base=1..},tag=mode:easy] at @s run scoreboard players set @s second 0
execute as @a[scores={wave=31,wavetime=11,base=1..},tag=mode:easy] at @s run scoreboard players set @s second2 0

tag @e[family=tower,tag=!lv1,tag=!lv2,tag=!lv3,tag=!lv4,tag=!lv5,tag=!lv6] add lv1
function move
function enemy
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=1..7}] run function mode_hard1-7
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=8..14}] run function mode_hard8-14
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=15..21}] run function mode_hard15-21
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=22..28}] run function mode_hard22-28
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=39..35}] run function mode_hard29-35
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=36..42}] run function mode_hard36-42
execute as @p[tag=play,tag=mode:hard,scores={wavetime=1..,wave=44..50}] run function mode_hard43-50
execute as @p[tag=play,tag=mode:easy,scores={wavetime=1..,wave=1..7}] run function mode_easy1-7
execute as @p[tag=play,tag=mode:easy,scores={wavetime=1..,wave=8..14}] run function mode_easy8-14
execute as @p[tag=play,tag=mode:easy,scores={wavetime=1..,wave=15..21}] run function mode_easy15-21
execute as @p[tag=play,tag=mode:easy,scores={wavetime=1..,wave=22..30}] run function mode_easy22-30
scoreboard players set @e[family=archer] range 10
scoreboard players set @e[family=sniper] range 18
scoreboard players set @e[family=mercenary] range 12
scoreboard players set @e[family=ranger] range 40
scoreboard players set @e[family=freezer] range 9
scoreboard players set @e[family=arsenal] range 10
scoreboard players set @e[family=vulcan] range 14
scoreboard players add @a skip 0
execute as @e[type=enemy:witch,scores={attack=0}] at @s run scoreboard players add @e[family=monster,r=10] ehealth 5000
execute as @e[type=enemy:wither_skeleton,scores={attack=0}] at @s run scoreboard players set @e[family=tower,c=1,r=6] stun 60
execute as @e[type=enemy:wither_skeleton,scores={attack=0}] at @s if entity @e[family=tower,r=6] run playanimation @s animation.trio.sword1
execute as @e[type=enemy:entity303,scores={attack=0}] at @s run scoreboard players set @e[family=tower,c=1,r=6] stun 60
execute as @e[type=enemy:entity303,scores={attack=0}] at @s if entity @e[family=tower,r=6] run playanimation @s animation.entity303.skill
execute as @e[type=enemy:reaper,scores={attack=0}] at @s if entity @e[family=tower,r=6] run playanimation @s animation.trio.sword1
execute as @e[type=enemy:reaper,scores={attack=0}] at @s run scoreboard players set @e[family=tower,c=1,r=6] stun 80
execute as @e[type=enemy:creeper,scores={ehealth=..0}] at @s run scoreboard players add @e[family=tower,r=10] stun 60
execute as @e[type=enemy:creeper,scores={ehealth=..0}] at @s run particle minecraft:huge_explosion_emitter ~~~
execute as @e[type=enemy:creeper,scores={ehealth=..0}] at @s run playsound random.explode @a ~~~
execute as @e[type=enemy:creeper,scores={ehealth=..0}] at @s run tag @s add kill
execute as @e[type=enemy:creeper,scores={ehealth=..0},tag=kill] at @s run kill @s
execute as @e[type=enemy:spider_queen,scores={attack=0}] at @s run summon enemy:cave_spider "cave spider" ~~~
execute as @e[type=enemy:null,scores={attack=0}] at @s run summon enemy:null_clone "clone" ~~~
execute as @e[type=enemy:cloaked_spider_queen,scores={attack=0}] at @s run summon enemy:cloaked_cave_spider "cloaked cave spider" ~~~
execute as @e[type=enemy:evorker,scores={attack=0}] at @s run summon enemy:vex "vex" ~~~
scoreboard players add @e[type=enemy:spider_queen,scores={attack=0}] attack 100
scoreboard players add @e[type=enemy:wither_skeleton,scores={attack=0}] attack 160
execute as @e[type=enemy:entity303,scores={attack=0}] at @s if entity @e[family=tower,r=6] run scoreboard players set @s attack 100
execute as @e[type=enemy:reaper,scores={attack=0}] at @s if entity @e[family=tower,r=6] run scoreboard players set @s attack 140
scoreboard players add @e[type=enemy:null,scores={attack=0}] attack 400
scoreboard players add @e[type=enemy:witch,scores={attack=0}] attack 100
tag @e[type=enemy:enderman,scores={ehealth=..35000}] add speed4s
playanimation @e[type=enemy:enderman,tag=speed4s] animation.enderman.2 a1
tag @e[type=enemy:zombie_king,scores={ehealth=..10000}] add speed1s
scoreboard players add @e[type=enemy:cloaked_spider_queen,scores={attack=0}] attack 200
scoreboard players add @e[type=enemy:evorker,scores={attack=0}] attack 100
execute as @e[family=unit,family=arsenal] at @s if entity @e[family=monster,scores={ehealth=1..},r=10] run tag @s remove speed4s
execute as @e[family=unit,family=arsenal] at @s unless entity @e[family=monster,scores={ehealth=1..},r=10] run tag @s add speed4s
scoreboard objectives add uhealth dummy
scoreboard players add @e uhealth 0
execute as @e[family=barrack,scores={attack=0}] at @s run function barrack
scoreboard objectives add punch dummy
Scoreboard players add @e punch 0
scoreboard players add @e[scores={stop=1..},family=!phase] stop -1
scoreboard players add @e[scores={stop=2..},family=phase] stop -1
scoreboard players add @e[scores={stun=1..}] stun -1
scoreboard players add @e[scores={stun=1..}] stun2 1
playanimation @e[scores={stun2=1,stun=1..}] animation.stun a 1
scoreboard players set @e[scores={stun2=20..}] stun2 0
scoreboard players add @e heal 0
tag @e[type=enemy:shield_zombie,scores={ehealth=..32}] add speed2s
tag @e[family=tower,tag=lv2] remove lv1
tag @e[family=tower,tag=lv3] remove lv2
tag @e[family=tower,tag=lv4] remove lv3
tag @e[family=tower,tag=lv5] remove lv4
tag @e[family=tower,tag=lv6] remove lv5 
scoreboard players add @a cash 0 
scoreboard players add @e stun 0
scoreboard players add @e stop 0
scoreboard players add @e lvl 0
scoreboard players add @e tick 0
scoreboard players add @e attack 0
scoreboard players add @e[scores={attack=1..}] attack -1
execute as @p[tag=host] at @s if entity @e[family=arsenal,r=300] run function arsenal
execute as @p[tag=host] at @s if entity @e[family=archer,r=300] run function shooter2
execute as @p[tag=host] at @s if entity @e[family=sniper,r=300] run function sniper
execute as @p[tag=host] at @s if entity @e[family=bomber,r=300] run function bomber
execute as @p[tag=host] at @s if entity @e[family=breaker,r=300] run function breaker 
execute as @p[tag=host] at @s if entity @e[family=mercenary,r=300] run function mercenary 
execute as @p[tag=host] at @s if entity @e[family=freezer,r=300] run function freezer
execute as @p[tag=host] at @s if entity @e[family=brigant,r=300] run function brigant 
execute as @p[tag=host] at @s if entity @e[family=ranger,r=300] run function ranger 
execute as @p[tag=host] at @s if entity @e[family=vulcan,r=300] run function vulcan
execute as @p[tag=host] at @s if entity @e[family=tower,scores={range=1..},r=300] run function particle
execute as @p[tag=host] at @s if entity @e[family=tower,scores={range=1..},r=300] run function particle2
execute as @p[tag=host] at @s if entity @e[family=tower,scores={range=1..},r=300] run function particle3
execute as @p[tag=host] at @s if entity @e[family=tower,r=300] run function towertick
execute as @p[tag=host] at @s if entity @e[family=tower,r=300] run function towerattack
scoreboard players add @a wave 0
scoreboard players add @a wavetime 0
scoreboard players add @a skip 0
scoreboard players add @a skip2 0
execute as @e[family=farmland,scores={wave=0}] at @s run scoreboard players operation @s wave = @p wave
execute as @e[family=farmland,scores={wave=1..}] at @s unless score @s wave = @a[c=1] wave run function farmland 
execute as @e[family=unit,scores={ehealth=1..}] at @s positioned ~~-0.5~ if entity @e[family=monster,scores={ehealth=1..},r=1.5,family=!fly] run function unit
scoreboard players add @e attack 0
execute as @e[family=death_ani,scores={ehealth=..0}] at @s unless block ~~-1~ air run tp @s ~~-50~
execute as @e[family=death_ani,scores={ehealth=..0}] at @s if block ~~-1~ air run tp @s ~~~
execute as @e[family=death_ani,scores={ehealth=..0}] at @s run kill @s 
execute as @e[family=phase1,scores={ehealth=..750000,skill2=..0}] at @s unless block ~~-1~ air run tp @s ~~-50~
execute as @e[family=phase2,scores={ehealth=..250000,skill2=..0}] at @s unless block ~~-1~ air run tp @s ~~-50~
scoreboard players add @e[family=phase,family=!phasee,scores={stop=0}] stop 32
scoreboard players add @e[family=phase,family=phasee,scores={stop=0}] stop 40
execute as @e[family=phase,scores={stop=1}] at @s unless block ~~-1~ air run tp @s ~~-50~
execute as @e[family=phase,scores={stop=1}] at @s run kill @s 
scoreboard players add @e[family=death] death 0
scoreboard players add @e[family=back] death 0
execute as @e[family=death,family=!e] at @s run scoreboard players add @s[scores={death=0}] death 40
execute as @e[family=death,family=e] at @s run scoreboard players add @s[scores={death=0}] death 180
execute as @e[family=death] at @s run scoreboard players add @s[scores={death=2..}] death -1
execute as @e[family=back] at @s run scoreboard players add @s[scores={death=2..}] death -1
kill @e[family=death,scores={death=1}]
scoreboard players add @e[family=cut] death 0
execute as @e[family=cut] at @s run scoreboard players add @s[scores={death=0}] death 360
execute as @e[family=back] at @s run scoreboard players add @s[scores={death=0}] death 25
execute as @e[family=cut] at @s run scoreboard players add @s[scores={death=2..}] death -1
kill @e[family=cut,scores={death=1}]
kill @e[family=point,scores={stop=0}]
kill @e[family=back,scores={death=1}]
scoreboard players add @e skill 0
scoreboard players add @e skill2 0
scoreboard players add @e summon 0
execute as @e[family=herobrine,scores={skill2=17..30,skill=1..3,ehealth=1..}] at @s run tp @s ^^^0.2 facing @e[family=back,c=1]
execute as @e[family=herobrine,scores={skill2=17..30,skill=1..3,ehealth=1..}] at @s run tp @s ^^^0.2 facing @e[family=back,c=1]
execute as @e[family=herobrine,scores={skill2=17..30,skill=1..3,ehealth=1..}] at @s run tp @s ^^^0.2 facing @e[family=back,c=1]
execute as @e[family=herobrine,scores={skill2=17..30,skill=1..3,ehealth=1..}] at @s run tp @s ^^^0.2 facing @e[family=back,c=1]
execute as @e[family=herobrine,scores={skill2=17..30,skill=1..3,ehealth=1..}] at @s run tp @s ^^^0.2 facing @e[family=back,c=1]
execute as @e[family=herobrine,scores={skill2=17..30,skill=1..3,ehealth=1..}] at @s run tp @s ^^^0.2 facing @e[family=back,c=1]
execute as @e[family=herobrine,scores={skill2=15..30,skill=1..3,ehealth=1..}] at @s run scoreboard players set @e[family=tower,r=10] stun 60
execute as @e[family=herobrine,scores={skill2=30,skill=1..3,ehealth=1..}] at @s run playsound mob.creeper.death @a ~~~ 1 2
execute as @e[family=herobrine,scores={skill2=33..40,skill=4,ehealth=1..}] at @s run tp @s ~~~ facing @e[family=tower,c=1]
execute as @e[family=herobrine,scores={skill2=38,skill=4,ehealth=1..}] at @s run summon enemy:point ~~~
execute as @e[family=herobrine,scores={skill2=38,skill=4,ehealth=1..}] at @s run scoreboard players set @e[c=1,family=point] stop 40
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},tag=!stop] at @s run tp @s ^^^0.2 facing @e[family=tower,tag=!death,r=50,c=1]
execute as @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..}] at @s run tag @e[c=1,r=1.5,family=tower] add death
execute as @e[family=tower,tag=death]  at @s run tag @e[family=herobrine,scores={skill2=25..33,skill=4,ehealth=1..},r=1.5,c=1] add stop
execute as @e[family=herobrine,scores={skill2=24,skill=4,ehealth=1..}] at @e[c=1,family=tower,tag=death] run fill ~1~-1~1 ~-1~-1~-1 air
execute as @e[family=herobrine,scores={skill2=24,skill=4,ehealth=1..}] at @e[c=1,family=tower,tag=death] run kill @e[family=!herobrine,c=2,r=1]
execute as @e[family=herobrine,scores={skill2=24,skill=4,ehealth=1..}] at @s run playsound mob.agent.spawn @a ~~~ 2 2
execute as @e[family=herobrine,scores={skill2=24,skill=4,ehealth=1..}] at @s run playsound mob.blaze.hit @a ~~~ 2 2
execute as @e[family=herobrine,scores={skill2=24,skill=4,ehealth=1..}] at @s run playsound mob.skeleton.death @a ~~~ 2 2
execute as @e[family=herobrine,scores={skill2=12,skill=4,ehealth=1..}] at @s run tp @s @e[family=point]
tag @e[family=herobrine,scores={skill2=15,skill=4,ehealth=1..}] remove stop
scoreboard players set @e[family=herobrine] stop 0
execute as @e[family=herobrine,scores={skill2=20..50,skill=5,ehealth=1..,stop=0}] at @s run scoreboard players random @s summon 1 5
execute as @e[family=herobrine,scores={skill2=50,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 1 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=50,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 2 run summon enemy:pro_skeleton "pro skeleton"
execute as @e[family=herobrine,scores={skill2=50,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 3 run summon enemy:mutant_knight "mutant knight"
execute as @e[family=herobrine,scores={skill2=50,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 4 run summon enemy:warden "warden"
execute as @e[family=herobrine,scores={skill2=50,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 5 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=50,skill=5,ehealth=1..,stop=0}] at @s run playsound ambient.cave @a ~~~ 1.5 2
execute as @e[family=herobrine,scores={skill2=40,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 1 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=40,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 2 run summon enemy:pro_skeleton "pro skeleton"
execute as @e[family=herobrine,scores={skill2=40,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 3 run summon enemy:mutant_knight "mutant knight"
execute as @e[family=herobrine,scores={skill2=40,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 4 run summon enemy:warden "warden"
execute as @e[family=herobrine,scores={skill2=40,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 5 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=40,skill=5,ehealth=1..,stop=0},family=rage] at @s run playsound ambient.cave @a ~~~ 1.5 2
execute as @e[family=herobrine,scores={skill2=30,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 1 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=30,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 2 run summon enemy:pro_skeleton "pro skeleton"
execute as @e[family=herobrine,scores={skill2=30,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 3 run summon enemy:mutant_knight "mutant knight"
execute as @e[family=herobrine,scores={skill2=30,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 4 run summon enemy:warden "warden"
execute as @e[family=herobrine,scores={skill2=30,skill=5,ehealth=1..,stop=0}] at @s if score @s summon matches 5 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=30,skill=5,ehealth=1..,stop=0}] at @s run playsound ambient.cave @a ~~~ 1.5 2
execute as @e[family=herobrine,scores={skill2=20,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 1 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=20,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 2 run summon enemy:pro_skeleton "pro skeleton"
execute as @e[family=herobrine,scores={skill2=20,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 3 run summon enemy:mutant_knight "mutant knight"
execute as @e[family=herobrine,scores={skill2=20,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 4 run summon enemy:warden "warden"
execute as @e[family=herobrine,scores={skill2=20,skill=5,ehealth=1..,stop=0},family=rage] at @s if score @s summon matches 5 run summon enemy:pro_zombie "pro zombie"
execute as @e[family=herobrine,scores={skill2=20,skill=5,ehealth=1..,stop=0},family=rage] at @s run playsound ambient.cave @a ~~~ 1.5 2
execute as @e[family=herobrine,scores={skill2=2..15,skill=5,ehealth=1..,stop=0}] at @s run scoreboard players set @e[family=tower,r=10] stun 60
execute as @e[family=herobrine,scores={skill2=15,skill=5,ehealth=1..}] at @s run playsound mob.creeper.death @a ~~~ 1 2
scoreboard players random @e[family=herobrine,scores={skill=!1..5,skill=0..}] skill 1 500
execute as @e[family=herobrine,scores={skill=1..5}] at @s run function herobrine_skill
scoreboard players set @e[scores={skill2=1}] skill 0
scoreboard players add @e[scores={skill2=1..}] skill2 -1
scoreboard players operation @a bhealth = @e[family=herobrine,c=1] ehealth
scoreboard players operation @a bhealth = @e[family=herobrine2,c=1] ehealth
kill @e[type=enemy:herobrine1,scores={ehealth=..750000,skill2=0}]
kill @e[type=enemy:herobrine2,scores={ehealth=..250000,skill2=0}]
scoreboard players set @a[scores={wave=50}] hero 1
scoreboard players set @a[scores={wave=!50}] hero 0
fog @a[scores={hero=1}] push minecraft:fog_crimson_forest test
fog @a[scores={hero=0}] remove test
camerashake add @a[scores={hero=1,wavetime=..150}] 0.2 0.05 positional 
execute as @a[scores={base=1..,wavetime=480,wave=50}] at @s run playsound boss.voice @a -82 -52 26 1000 1
execute as @a[scores={base=1..,wavetime=480,wave=50}] at @s run playsound boss.theme2 @a -82 -52 26 1000 1
execute as @a[scores={base=1..,wavetime=479,wave=50}] at @s run playsound boss.theme @a -97 -53 -34 1000 1
camera @a[scores={base=1..,wavetime=500,wave=50}] fade time 0.1 2 0.1
scoreboard players set @a[scores={base=1..,wavetime=520,wave=50}] bhealth 300000
execute as @p[scores={base=1..,wavetime=480,wave=50}] at @s run summon enemy:herobrine_cut -82 -52 31 facing ~~~2
camera @a[scores={base=1..,wavetime=490,wave=50}] set minecraft:free pos -82 -50 10 rot 5 0
camera @a[scores={base=1..,wavetime=480,wave=50}] set minecraft:free ease 15 out_quint pos -82 -50 26 rot 0 0
camera @a[scores={base=1..,wavetime=180,wave=50}] fade time 2 0.5 2
camera @a[scores={base=1..,wavetime=150,wave=50}] clear
execute as @a[scores={wait=0}] at @s run scoreboard players operation @s phealth = @e[c=1,family=monster] ehealth
execute as @a[scores={wait=0}] at @s run scoreboard players operation @s pshield = @e[c=1,family=monster] shield
scoreboard players set @a[scores={enemyleft=0}] phealth 0
scoreboard players add @a[scores={wait=1..}] wait -1
scoreboard players add @a wait 0
scoreboard players add @a phealth 0
scoreboard players set @e[tag=lv1] lvl 1
scoreboard players set @e[tag=lv2] lvl 2
scoreboard players set @e[tag=lv3] lvl 3
scoreboard players set @e[tag=lv4] lvl 4
scoreboard players set @e[tag=lv5] lvl 5
scoreboard players set @e[tag=lv6] lvl 6
execute as @e[family=monster,scores={ehealth=1..}] at @s positioned ~~-7~ if entity @e[tag=base,r=1] run function base
execute as @e[family=monster,scores={ehealth=1..}] at @s unless block ~~49~ air run kill @s 
execute as @a[tag=!buying] at @s if block ~~-1~ bone_block unless entity @e[tag=buy,r=1] run structure load buy ~~~
execute as @a[tag=!buying] at @s if block ~~-1~ bone_block if entity @e[tag=buy,r=1] run /dialogue open @e[c=1,tag=buy1] @s[tag=!buying]
execute as @a at @s unless block ~~-1~ bone_block run tag @s remove buying
execute as @e[family=npc,tag=buy] at @s unless entity @e[r=1,type=player] run kill @s
scoreboard players set @a enemyleft 0
execute as @e[family=monster] at @s run scoreboard players add @a enemyleft 1
execute as @e[family=sword] at @s run scoreboard players add @a enemyleft 1
scoreboard players set @a[scores={skip2=1..,wave=..49,wave=!40},tag=mode:hard] enemyleft 0
scoreboard players set @a[scores={skip2=1..,wave=..29},tag=mode:easy] enemyleft 0
scoreboard players set @a players 0
execute as @a at @s run scoreboard players add @a players 1
scoreboard players set @a tower 0
execute as @e[family=tower] at @s run scoreboard players add @a tower 1
scoreboard players set @a tower:barrack 0
execute as @e[family=barrack] at @s run scoreboard players add @a tower:barrack 1
scoreboard players set @a tower:ranger 0
execute as @e[family=ranger] at @s run scoreboard players add @a tower:ranger 1
scoreboard players set @a tower:mercenary 0
execute as @e[family=mercenary] at @s run scoreboard players add @a tower:mercenary 1
scoreboard players set @a tower:farmland 0
execute as @e[family=farmland] at @s run scoreboard players add @a tower:farmland 1
scoreboard players set @a tower:vulcan 0
execute as @e[family=vulcan] at @s run scoreboard players add @a tower:vulcan 1
scoreboard players set @a tower:raider 0
execute as @e[family=raider] at @s run scoreboard players add @a tower:raider 1
kill @e[family=monster,scores={ehealth=..0},family=!creeper]
kill @e[family=unit,scores={ehealth=..0}]
tag @e[scores={attack=1..},family=!arsenal] remove attack
tag @e[scores={attack=6..},family=arsenal] remove attack

scoreboard players set @a mode:easy 0
scoreboard players set @a mode:hard 0
execute as @a[tag=mode:easy] at @s run scoreboard players add @a mode:easy 1
execute as @a[tag=mode:hard] at @s run scoreboard players add @a mode:hard 1