import { world } from "@minecraft/server"
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
import { MessageFormData } from "@minecraft/server-ui"
import { system } from "@minecraft/server";
system.beforeEvents.watchdogTerminate.subscribe((data) => {
    data.cancel = true;
});
world.afterEvents.itemUse.subscribe(data => {
    let player = data.source;
    if (player.hasTag("menu")) {
        if (data.itemStack?.typeId === 'pa:menu') {
            system.run(() => {
                Adminmenu(player);
            })
        }
    }
})

function Adminmenu(player) {
    const form = new ActionFormData()
    form.title("§lMENU")
    form.body(`§l        chào mừng §e${player.name}`)
    form.button('§l§eNHIỆM VỤ\n§r§rnhấn để xem chi tiết', 'textures/items/book_writable.png')
    form.button('§l§eRANKS\n§r§rnhấn để xem chi tiết', 'textures/items/netherite_helmet.png')
    form.button('§l§eTÀI KHOẢN DALC\n§r§rnhấn để xem chi tiết', 'textures/ui/village_hero_effect.png')
    form.button('§l§eRÚT TIỀN DALC\n§r§rnhấn để xem chi tiết', 'textures/items/pamobile/pa_bundle.png')
    form.button('§l§ePHÁT TRIỂN\n§r§rnhấn để xem chi tiết', 'textures/items/pamobile/pa_up')
    form.button('§l§eKỸ NĂNG\n§r§rnhấn để xem chi tiết', 'textures/items/pamobile/pa_skill_slot_empty.png')
    form.button('§l§eGIFTCODE\n§r§rnhấn để xem chi tiết', 'textures/items/piglin_banner_pattern.png')
    form.button('§l§ePHIÊN BẢN\n§r§r nhấn để xem chi tiết', 'textures/items/pamobile/pa_version.png')
    form.button('§lANUNCIO PARA LOS JUGADORES\n§r§rHaga clic o toque', 'textures/ui/icon_new')
    form.button('§lGamemode\n§r§rHaga clic o toque', 'textures/ui/icon_book_writable')
    form.button('§lEffect Menu\n§r§rHaga clic o toque', 'textures/ui/icon_potion')
    form.button('§lAdmin Tools\n§r§rHaga clic o toque', 'textures/ui/hammer_l')
    form.button('§lGive gift\n§r§rHaga clic o toque', 'textures/ui/icon_cake')
    form.button('§lBORRAR IN VENTARIO\n§r§rHaga clic o toque', 'textures/ui/trash')
    form.button('§lSalir\n§r§rHaga clic para cerrar', 'textures/ui/redX1')
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`tellraw @s[scores={quest=1}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với elisa và lấy dược liệu tại 106 78 -157 ."}]} `)
            player.runCommandAsync(`playsound note.xylophone @s`)
            player.runCommandAsync(`tellraw @s[scores={quest=2}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e hái 10 §asharp grass§e cho elisa tại 182 81 -92 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=3}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với elisa tại 106 78 -157 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=4}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đưa dược liệu cho john tại 66 85 -203 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=5}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với haunter về việc rèn vũ khí tại 85 79 -214 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=6}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e chặt 15 §anormal_log§e cho haunter để rèn vũ khí tại 53 84 -98 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=7}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với haunter để rèn vũ khí tại 85 79 -214 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=8}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e giúp đỡ anna tại 267 73 -51 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=9}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đánh bại 30 §f[§alvl.1§f] chicken§e tại 267 73 -51 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=10}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e trả nhiệm vụ của anna tại 267 73 -51 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=11}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với haunter tại 85 79 -214 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=12}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đào 15 §anormal_stone§e cho haunter để rèn vũ khí tại 170 80 -90 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=13}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với haunter để rèn vũ khí tại 85 79 -214 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=14}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với schelwei về công việc tại 133 79 -209 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=15}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đánh bại 30 §f[§alvl.15§f] pirate§e tại -9 68 -212 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=16}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e trả nhiệm vụ của schelwei tại 133 79 -209 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=17}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với leona tại 142 79 -222 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=18}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e vận chuyển hàng cho anna tại 267 73 -51 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=19}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với leona tại 142 79 -222 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=20}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đánh bại §f[§clvl.25§f] §cgaril :§f pirate commander§e tại -63 66 -230 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=21}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với leona tại 142 79 -222 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=22}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với haunter về việc rèn vũ khí tại 85 79 -214 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=23}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đào 15§iron_ore§e cho haunter để rèn vũ khí tại -74 69 -153 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=24}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với haunter để rèn vũ khí tại 85 79 -214 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=25}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với leona tại 142 79 -222."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=26}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đánh bại 25 §f [§alvl.35§f] dark_knight§e tại 124 82 -83 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=27}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với leona tại 142 79 -222 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=28}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với nuke tại 75 76 -178 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=29}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e đánh bại §f[§clvl.50§f] §ckurakaichi :§fthe §7dark§f god§e tại 271 72 55 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=30}] {"rawtext":[{"text":"§l§g- nhiệm vụ :§r§e nói chuyện với nuke tại 75 76 -178 ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={quest=31}] {"rawtext":[{"text":"§l§3- bạn đã làm hết tất cả nhiệm vụ. cảm ơn bạn đã chơi godslayer. sever sẽ cập nhật thêm nhiệm vụ sớm ."}]} `);
        }
        if (result.selection === 1) {
            player.runCommandAsync(`tellraw @s[scores={ranks=1}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f adventurer I ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=2}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f adventurer II ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=3}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f adventurer III ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=4}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f knight I ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=5}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f knight II ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=6}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f knight III ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=7}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f knight IIII ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=8}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f holy order I ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=9}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f holy order II ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=10}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§f holy order III ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=11}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§ §gking ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=12}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§§b god ."}]} `)
            player.runCommandAsync(`tellraw @s[scores={ranks=13}] {"rawtext":[{"text":"§e- cấp độ hiện tại của bạn :§l§7 god§cslayer ."}]} `);
        }
        if (result.selection === 2) {
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§e§l- số dư hiện tại :§r "},{"score":{"name":"*","objective":"dalc"}},{"text":"§aDalc"}]}`)
            player.runCommandAsync(`playsound note.xylophone @s`);
        }
        if (result.selection === 3) {
            Drawmoney(player);
        }
        if (result.selection === 4) {
            Levelpoint(player);
        }
        if (result.selection === 5) {
            Skill(player);
        }
        if (result.selection === 6) {
            Giftcode(player);
        }
        if (result.selection === 7) {
            Version(player);
        }
        if (result.selection === 8) {
            Bc(player);
        }
        if (result.selection === 9) {
            Gamemode(player);
        }
        if (result.selection === 10) {
            Effect(player);
        }
        if (result.selection === 11) {
            Admin(player);
        }
        if (result.selection === 12) {
            Gift(player);
        }
        if (result.selection === 13) {
            Cinv(player);
        }
        if (result.selection === 14) {
            player.runCommandAsync(`playsound note.bass @s`)
        }
    })
}


function Drawmoney(player) {
    const form = new ActionFormData()
    form.title("§lRÚT TIỀN")
    form.body("§f chọn số tiền muốn rút")
    form.button("§l§f1 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc1.png")
    form.button("§l§f2 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc2.png")
    form.button("§l§f5 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc5.png")
    form.button("§l§f10 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc10.png")
    form.button("§l§f20 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc20.png")
    form.button("§l§f40 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc20.png")
    form.button("§l§f100 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc20.png")
    form.button("§l§f1000 §aDALC \n§r nhấn để rút", "textures/items/pamobile/pa_dalc20.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound random.flute @s[scores={dalc=1..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..0}]`)
            player.runCommandAsync(`give @s[scores={dalc=1..}] pa:dalc1 1`)
            player.runCommandAsync(`tellraw @s[scores={dalc=1..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..0}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=1..}] dalc -1`);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound random.flute @s[scores={dalc=2..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..1}]`)
            player.runCommandAsync(`give @s[scores={dalc=2..}] pa:dalc2 1`)
            player.runCommandAsync(`tellraw @s[scores={dalc=2..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..1}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=2..}] dalc -2`);
        }
        else if (result.selection === 2) {
        	 player.runCommandAsync(`playsound random.flute @s[scores={dalc=5..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..4}]`)
            player.runCommandAsync(`give @s[scores={dalc=5..}] pa:dalc5 1`)
            player.runCommandAsync(`tellraw @s[scores={dalc=5..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..4}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=5..}] dalc -5`);
        }
        else if (result.selection === 3) {
        	 player.runCommandAsync(`playsound random.flute @s[scores={dalc=10..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..9}]`)
            player.runCommandAsync(`give @s[scores={dalc=10..}] pa:dalc10 1`)
            player.runCommandAsync(`tellraw @s[scores={dalc=10..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..9}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=10..}] dalc -10`);
        }
        else if (result.selection === 4) {
        	 player.runCommandAsync(`playsound random.flute @s[scores={dalc=20..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..19}]`)
            player.runCommandAsync(`give @s[scores={dalc=20..}] pa:dalc20 1`)
            player.runCommandAsync(`tellraw @s[scores={dalc=20..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..19}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=20..}] dalc -20`);
        }
        else if (result.selection === 5) {
        	 player.runCommandAsync(`playsound random.flute @s[scores={dalc=40..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..39}]`)
            player.runCommandAsync(`give @s[scores={dalc=40..}] pa:dalc20 2`)
            player.runCommandAsync(`tellraw @s[scores={dalc=40..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..39}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=40..}] dalc -40`);
        }
        else if (result.selection === 6) {
        	 player.runCommandAsync(`playsound random.flute @s[scores={dalc=100..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..99}]`)
            player.runCommandAsync(`give @s[scores={dalc=100..}] pa:dalc20 5`)
            player.runCommandAsync(`tellraw @s[scores={dalc=100..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..99}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=100..}] dalc -100`);
        }
        else if (result.selection === 7) {
        	 player.runCommandAsync(`playsound random.flute @s[scores={dalc=1000..}]`)
            player.runCommandAsync(`playsound random.bass @s[scores={dalc=..999}]`)
            player.runCommandAsync(`give @s[scores={dalc=1000..}] pa:dalc20 50`)
            player.runCommandAsync(`tellraw @s[scores={dalc=1000..}] {"rawtext":[{"text":"§erút thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`tellraw @s[scores={dalc=..999}] {"rawtext":[{"text":"§crút không thành công.§a số dư :§f "},{"score":{"name":"*","objective":"dalc"}},{"text":"§a dalc"}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={dalc=1000..}] dalc -1000`);
        }
        else if (result.selection === 8) {
            Adminmenu(player);
        }
    })
}


function Levelpoint(player) {
    const form = new ActionFormData()
    form.title("§lPHÁT TRIỂN")
    form.body("§lchọn loại điểm phát triển muốn nâng cấp :    ")
    form.button("§l§eĐIỂM PHÁT TRIỂN\n§rnhấn để xem chi tiết", "textures/items/pamobile/pa_up.png")
    form.button("§l§eSỨC MẠNH\n§rnhấn để nâng cấp", "textures/ui/strength_effect.png")
    form.button("§l§eNHANH NHẸN\n§rnhấn để nâng cấp", "textures/ui/speed_effect.png")
    form.button("§l§eBỀN BỈ\n§rnhấn để nâng cấp", "textures/ui/health_boost_effect.png")
    form.button("§l§eKHAI THÁC\n§rnhấn để nâng cấp", "textures/ui/haste_effect.png")
    form.button("§l§eSỨC CHỨA\n§rnhấn để nâng cấp", "textures/ui/saturation_effect.png")
    form.button("§l§eMA THUẬT\n§rnhấn để nâng cấp", "textures/ui/wither_effect.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§e- điểm phát triển còn dư :§f "},{"score":{"name":"*","objective":"levelpoint"}},{"text":"§c điểm\n §eđiểm sức mạnh hiện tại :§c "},{"score":{"name":"*","objective":"strength"}},{"text":"§c điểm\n §eđiểm tốc độ hiện tại :§b "},{"score":{"name":"*","objective":"speed"}},{"text":"§c điểm\n §eđiểm bền bỉ hiện tại :§6 "},{"score":{"name":"*","objective":"health"}},{"text":"§c điểm\n §eđiểm khai thác hiện tại :§g "},{"score":{"name":"*","objective":"mine_point"}},{"text":"§c điểm"},{"text":"§c điểm\n §eđiểm sức chứa hiện tại :§6 "},{"score":{"name":"*","objective":"storage"}},{"text":"§c điểm"},{"text":"§c điểm\n §eđiểm ma thuật hiện tại :§d "},{"score":{"name":"*","objective":"magic"}},{"text":"§c điểm"}]}`)
            player.runCommandAsync(`playsound note.xylophone @s`);
        }
        else if (result.selection === 1) {
            Strength(player);
        }
        else if (result.selection === 2) {
            Speed(player);
        }
        else if (result.selection === 3) {
            Health(player);
        }
        else if (result.selection === 4) {
            Haste(player);
        }
        else if (result.selection === 5) {
            Storage(player);
        }
        else if (result.selection === 6) {
            Magic(player);
        }
        else if (result.selection === 7) {
            Adminmenu(player);
        }
    })
}


function Strength(player) {
    const form = new ActionFormData()
    form.title("§lSỨC MẠNH")
    form.body("§l mỗi 2 điểm sức mạnh sẽ tăng sát thương lên 1 (tối đa 15 sát thương).\n chọn mức độ muốn nâng cấp : ")
    form.button("§l§e nâng 1 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_1.png")
    form.button("§l§e nâng 5 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_5.png")
    form.button("§l§e nâng 10 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_10.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=1..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..0}]`)         
player.runCommandAsync(`scoreboard players add @s[scores={strength=..29,levelpoint=1..}] strength 1`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=1..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số sức mạnh :§f "},{"score":{"name":"*","objective":"strength"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..0}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số sức mạnh :§f "},{"score":{"name":"*","objective":"strength"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=1..strength=..30},tag=!maxstrength] levelpoint -1`)
            player.runCommandAsync(`tag @s[scores={strength=30}] add maxstrength`)
Strength(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=5..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..4}]`)
player.runCommandAsync(`scoreboard players add @s[scores={strength=..25,levelpoint=5..}] strength 5`)
player.runCommandAsync(`tellraw @s[scores={levelpoint=5..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số sức mạnh :§f "},{"score":{"name":"*","objective":"strength"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..4}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số sức mạnh :§f "},{"score":{"name":"*","objective":"strength"}}]}`)             
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=5..strength=..30},tag=!maxstrength] levelpoint -5`)
            player.runCommandAsync(`tag @s[scores={strength=30}] add maxstrength`)
Strength(player);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=10..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..9}]`)
player.runCommandAsync(`scoreboard players add @s[scores={strength=..20,levelpoint=10..}] strength 10`)
 player.runCommandAsync(`tellraw @s[scores={levelpoint=10..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số sức mạnh :§f "},{"score":{"name":"*","objective":"strength"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..9}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số sức mạnh :§f "},{"score":{"name":"*","objective":"strength"}}]}`)             
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=10..strength=..30},tag=!maxstrength] levelpoint -10`)
            player.runCommandAsync(`tag @s[scores={strength=30}] add maxstrength`)
Strength(player);
        }
        else if (result.selection === 3) {
            Levelpoint(player);
        }
    })
}
function Speed(player) {
    const form = new ActionFormData()
    form.title("§lNHANH NHẸN")
    form.body("§l mỗi 1 điểm nhanh nhẹn sẽ tăng 2% tốc chạy (tối đa 60%).\n chọn mức độ muốn nâng cấp : ")
    form.button("§l§e nâng 1 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_1.png")
    form.button("§l§e nâng 5 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_5.png")
    form.button("§l§e nâng 10 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_10.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=1..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..0}]`)
          player.runCommandAsync(`scoreboard players add @s[scores={speed=..29,levelpoint=1..}] speed 1`)
          player.runCommandAsync(`tellraw @s[scores={levelpoint=1..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số nhanh nhẹn :§f "},{"score":{"name":"*","objective":"speed"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..0}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số nhanh nhẹn :§f "},{"score":{"name":"*","objective":"speed"}}]}`)   
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=1..,speed=..30},tag=!maxspeed] levelpoint -1`)
            player.runCommandAsync(`tag @s[scores={speed=30}] add maxspeed`)
Speed(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=5..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..4}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={speed=..25,levelpoint=5..}] speed 5`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=5..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số nhanh nhẹn :§f "},{"score":{"name":"*","objective":"strength"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..4}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số nhanh nhẹn :§f "},{"score":{"name":"*","objective":"speed"}}]}`) 
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=5..,speed=..30},tag=!maxspeed] levelpoint -5`)
            player.runCommandAsync(`tag @s[scores={speed=30}] add maxspeed`)
Speed(player);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=10..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..9}]`)
player.runCommandAsync(`scoreboard players add @s[scores={speed=..20,levelpoint=10..}] speed 10`)
player.runCommandAsync(`tellraw @s[scores={levelpoint=10..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số nhanh nhẹn :§f "},{"score":{"name":"*","objective":"speed"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..9}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số nhanh nhẹn :§f "},{"score":{"name":"*","objective":"speed"}}]}`)             
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=10..,speed=..30},tag=!maxspeed] levelpoint -10`)
            player.runCommandAsync(`tag @s[scores={speed=30}] add maxspeed`)
Speed(player);
        }
        else if (result.selection === 3) {
            Levelpoint(player);
        }
    })
}
function Magic(player) {
    const form = new ActionFormData()
    form.title("§lMA THUẬT")
    form.body("§l mỗi 1 điểm ma thuật sẽ tăng 5 mana tối đa (tối đa 180 mana).\n chọn mức độ muốn nâng cấp : ")
    form.button("§l§e nâng 1 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_1.png")
    form.button("§l§e nâng 5 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_5.png")
    form.button("§l§e nâng 10 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_10.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=1..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..0}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={magic=..29,levelpoint=1..}] magic 1`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=1..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số ma thuật :§f "},{"score":{"name":"*","objective":"magic"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..0}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số ma thuật :§f "},{"score":{"name":"*","objective":"magic"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=1..,magic=..30},tag=!maxmagic] levelpoint -1`)
            player.runCommandAsync(`tag @s[scores={magic=30}] add maxmagic`)
Magic(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=5..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..4}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={magic=..25,levelpoint=5..}] magic 5`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=5..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số ma thuật :§f "},{"score":{"name":"*","objective":"magic"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..4}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số ma thuật :§f "},{"score":{"name":"*","objective":"magic"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=5..,magic=..30},tag=!maxmagic] levelpoint -5`)
            player.runCommandAsync(`tag @s[scores={magic=30}] add maxmagic`)
Magic(player);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=10..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..9}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={magic=..20,levelpoint=10..}] magic 10`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=10..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số ma thuật :§f "},{"score":{"name":"*","objective":"magic"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..9}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số ma thuật :§f "},{"score":{"name":"*","objective":"magic"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=10..,magic=..30},tag=!maxmagic] levelpoint -10`)
            player.runCommandAsync(`tag @s[scores={magic=30}] add maxmagic`)
Magic(player);
        }
        else if (result.selection === 3) {
            Levelpoint(player);
        }
    })
}
function Storage(player) {
    const form = new ActionFormData()
    form.title("§lSỨC CHỨA")
    form.body("§l mỗi 1 điểm sức chứa sẽ mở khóa 1 ô đồ (tối đa 15 ô đồ).\n chọn mức độ muốn nâng cấp : ")
    form.button("§l§e nâng 1 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_1.png")
    form.button("§l§e nâng 5 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_5.png")
    form.button("§l§e nâng 10 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_10.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=1..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..0}]`)
                        player.runCommandAsync(`clear @s[scores={storage=..14,levelpoint=1..}] pa:lock 0 1`)
                                    player.runCommandAsync(`scoreboard players add @s[scores={storage=..14,levelpoint=1..}] storage 1`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=1..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số sức chứa :§f "},{"score":{"name":"*","objective":"storage"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..0}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số sức chứa :§f "},{"score":{"name":"*","objective":"storage"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=1..,storage=..15},tag=!maxstorage] levelpoint -1`)
            player.runCommandAsync(`tag @s[scores={storage=15}] add maxstorage`)
Storage(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=5..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..4}]`)
                        player.runCommandAsync(`clear @s[scores={storage=..10,levelpoint=5..}] pa:lock 0 5`)
                                    player.runCommandAsync(`scoreboard players add @s[scores={storage=..10,levelpoint=5..}] storage 5`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=5..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số sức chứa :§f "},{"score":{"name":"*","objective":"storage"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..4}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số sức chứa :§f "},{"score":{"name":"*","objective":"storage"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=5..,storage=..15},tag=!maxstorage] levelpoint -5`)
            player.runCommandAsync(`tag @s[scores={storage=15}] add maxstorage`)
Storage(player);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=10..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..9}]`)
                        player.runCommandAsync(`clear @s[scores={storage=..5,levelpoint=10..}] pa:lock 0 10`)
                                    player.runCommandAsync(`scoreboard players add @s[scores={storage=..5,levelpoint=10..}] storage 10`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=10..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số sức chứa :§f "},{"score":{"name":"*","objective":"storage"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..9}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số sức chứa :§f "},{"score":{"name":"*","objective":"storage"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=10..,storage=..15},tag=!maxstorage] levelpoint -10`)
            player.runCommandAsync(`tag @s[scores={storage=15}] add maxstorage`)
Storage(player);
        }
        else if (result.selection === 3) {
            Levelpoint(player);
        }
    })
}
function Health(player) {
    const form = new ActionFormData()
    form.title("§lBỀN BỈ")
    form.body("§l mỗi 1 điểm bền bỉ sẽ tăng máu tối đa lên 3 (tối đa.\n chọn mức độ muốn nâng cấp : ")
    form.button("§l§e nâng 1 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_1.png")
    form.button("§l§e nâng 5 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_5.png")
    form.button("§l§e nâng 10 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_10.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=1..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..0}]`)
player.runCommandAsync(`scoreboard players add @s[scores={health=..29,levelpoint=1..}] health 1`)
player.runCommandAsync(`tellraw @s[scores={levelpoint=1..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số bền bỉ :§f "},{"score":{"name":"*","objective":"health"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..0}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số bền bỉ :§f "},{"score":{"name":"*","objective":"health"}}]}`)             
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=1..,health=..30},tag=!maxhealth] levelpoint -1`)
            player.runCommandAsync(`tag @s[scores={health=30}] add maxhealth`)
Health(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=5..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..4}]`)
player.runCommandAsync(`scoreboard players add @s[scores={health=..25,levelpoint=5..}] health 5`)
player.runCommandAsync(`tellraw @s[scores={levelpoint=5..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số bền bỉ :§f "},{"score":{"name":"*","objective":"health"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..4}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số bền bỉ :§f "},{"score":{"name":"*","objective":"health"}}]}`)             
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=5..,health=..30},tag=!maxhealth] levelpoint -5`)
            player.runCommandAsync(`tag @s[scores={health=30}] add maxhealth`)
Health(player);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=10..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..9}]`)
player.runCommandAsync(`scoreboard players add @s[scores={health=..30,levelpoint=10..}] health 10`)
player.runCommandAsync(`tellraw @s[scores={levelpoint=10..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số bền bỉ :§f "},{"score":{"name":"*","objective":"health"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..9}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số bền bỉ :§f "},{"score":{"name":"*","objective":"health"}}]}`)             
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=10..,health=..30},tag=!maxhealth] levelpoint -10`)
            player.runCommandAsync(`tag @s[scores={health=30}] add maxhealth`)
Health(player);
        }
        else if (result.selection === 3) {
            Levelpoint(player);
        }
    })
}
function Haste(player) {
    const form = new ActionFormData()
    form.title("§lKHAI THÁC")
    form.body("§l mỗi 1 điểm khai thác sẽ tăng 1 tốc độ khai thác.\n chọn mức độ muốn nâng cấp : ")
    form.button("§l§e nâng 1 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_1.png")
    form.button("§l§e nâng 5 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_5.png")
    form.button("§l§e nâng 10 điểm\n§rnhấn để nâng cấp", "textures/items/light_block_10.png")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=1..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..0}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={mine_point=..19,levelpoint=1..}] mine_point 1`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=1..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số khai thác :§f "},{"score":{"name":"*","objective":"mine_point"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..0}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số khai thác :§f "},{"score":{"name":"*","objective":"mine_point"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=1..,mine_point=..20},tag=!maxhaste] levelpoint -1`)
            player.runCommandAsync(`tag @s[scores={mine_point=20}] add maxhaste`)
Haste(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=5..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..4}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={mine_point=..15,levelpoint=5..}] mine_point 5`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=5..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số khai thác :§f "},{"score":{"name":"*","objective":"mine_point"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..4}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số khai thác :§f "},{"score":{"name":"*","objective":"mine_point"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=5..,mine_point=..20},tag=!maxhaste] levelpoint -5`)
            player.runCommandAsync(`tag @s[scores={mine_point=20}] add maxhaste`)
Haste(player);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`playsound note.xylophone @s[scores={levelpoint=10..}]`)
            player.runCommandAsync(`playsound note.bass @s[scores={levelpoint=..9}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={mine_point=..10,levelpoint=10..}] mine_point 10`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=10..}] {"rawtext":[{"text":"§enâng cấp thành công. tổng chỉ số khai thác :§f "},{"score":{"name":"*","objective":"mine_point"}}]}`)
            player.runCommandAsync(`tellraw @s[scores={levelpoint=..9}] {"rawtext":[{"text":"§enâng cấp không thành công do không đủ điểm phát triển. tổng chỉ số khai thác :§f "},{"score":{"name":"*","objective":"mine_point"}}]}`)
            player.runCommandAsync(`scoreboard players add @s[scores={levelpoint=10..,mine_point=..20},tag=!maxhaste] levelpoint -10`)
            player.runCommandAsync(`tag @s[scores={mine_point=20}] add maxhaste`)
Haste(player);
        }
        else if (result.selection === 3) {
            Levelpoint(player);
        }
    })
}


function Gamemode(player) {
    const form = new ActionFormData()
    form.title("§lTGAMEMODE")
    form.body("§l      --------------------      \n§e             ADMIN MENU       \n§r§l      --------------------      \n§r§e»» §r§fBienvenido al menú de administración, seleccione el menú que desee\n       §l§e       ADMIN MENU    ")
    form.button("§lSurvival\n§r§rHaga clic o toque", "textures/items/book_written")
    form.button("§lCreative\n§r§rHaga clic o toque", "textures/items/book_enchanted")
    form.button("§lSpectator\n§r§rHaga clic o toque", "textures/items/book_portfolio")
    form.button("§lAdventure\n§r§rHaga clic o toque", "textures/items/book_writable")
    form.button("§cVOLVER\n§rHaga clic PARA VOLVER", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`gamemode s @s`)
            player.runCommandAsync(`playsound random.toast @s`)
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§l§a➥ §r§aGamemode ha sido cambiado a Survival"}]}`);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`gamemode c @s`)
            player.runCommandAsync(`playsound random.toast @s`)
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§l§a➥ §r§a Gamemode ha sido cambiado a Creative"}]}`);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`gamemode spectator @s`)
            player.runCommandAsync(`playsound random.toast @s`)
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§l§a➥ §r§aGamemode ha sido cambiado a Spectator"}]}`);
        }
        else if (result.selection === 3) {
            player.runCommandAsync(`gamemode adventure @s`)
            player.runCommandAsync(`playsound random.toast @s`)
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§l§a➥ §r§aGamemode ha sido cambiado a Adventure"}]}`);
        }
        else if (result.selection === 4) {
            Adminmenu(player);
        }
    })
}

function Effect(player) {
    const form = new ActionFormData()
    form.title("§lEFFECT MENU")
    form.body("§l      --------------------      \n§e             ADMIN MENU       \n§r§l      --------------------      \n§r§e»» §r§fBienvenido al menú de administración, seleccione el menú que desee\n       §l§e       ADMIN MENU    ")
    form.button("§lClear Effect\n§rClick Or Tap")
    form.button("§lInvisibility\n§rClick Or Tap", "textures/ui/invisibility_effect")
    form.button("§lStrength\n§rClick Or Tap", "textures/ui/strength_effect")
    form.button("§lSpeed\n§rClick Or Tap", "textures/ui/speed_effect")
    form.button("§lHaste\n§rClick Or Tap", "textures/ui/haste_effect")
    form.button("§lJump Boost\n§rClick Or Tap", "textures/ui/jump_boost_effect")
    form.button("§lResistance\n§rClick Or Tap", "textures/ui/resistance_effect")
    form.button("§lFire Resistance\n§rClick Or Tap", "textures/ui/fire_resistance_effect")
    form.button("§lHealth boost\n§rClick Or Tap", "textures/ui/health_boost_effect")
    form.button("§cBack\n§rclick to Back", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`effect @s clear`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`effect @s invisibility 999999 9 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`effect @s strength 999999 10 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        else if (result.selection === 3) {
            player.runCommandAsync(`effect @s speed 999999 5 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        if (result.selection === 4) {
            player.runCommandAsync(`effect @s haste 999999 5 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        if (result.selection === 5) {
            player.runCommandAsync(`effect @s jump_boost 999999 5 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        if (result.selection === 6) {
            player.runCommandAsync(`effect @s resistance 999999 10 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        if (result.selection === 7) {
            player.runCommandAsync(`effect @s fire_resistance 999999 9 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        if (result.selection === 8) {
            player.runCommandAsync(`effect @s health_boost 999999 10 true`)
            player.runCommandAsync(`playsound random.toast @s`)
        }
        if (result.selection === 9) {
            Adminmenu(player);
        }
    })
}


function Skill(player) {
    const form = new ActionFormData()
    form.title("§lKỸ NĂNG")
    form.body("§lchọn nâng cấp hoặc mở khóa kỹ năng :")
    form.button("§l§eĐIỂM KỸ NĂNG\n§r§rnhấn để xem chi tiết", "textures/items/pamobile/pa_skill_slot_empty.png")
    if (player.hasTag("ironbodyunlock"))  form.button("§l§eIRON BODY\n§r§rnhấn để xem chi tiết", "textures/ui/resistance_effect.png")
    if (!player.hasTag("ironbodyunlock")) form.button("§l§eIRON BODY[đã khóa]\n§r§rnhấn để mở khóa", "textures/blocks/barrier")
    if (player.hasTag("burningbloodunlock")) form.button("§l§eWARRIOR CALL\n§r§rnhấn để xem chi tiết", "textures/ui/instant_damage_effect.png")
    if (!player.hasTag("burningbloodunlock")) form.button("§l§eWARRIOR CALL[đã khóa]\n§r§rnhấn để mở khóa", "textures/blocks/barrier")
    if (player.hasTag("lightningstepunlock")) form.button("§lSeLIGHTNING STEPS\n§r§rnhấn để xem chi tiết", "textures/ui/slow_falling_effect.png")
    if (!player.hasTag("lightningstepunlock")) form.button("§l§eLIGHTNING STEPS[đã khóa]\n§r§rnhấn để mở khóa", "textures/blocks/barrier")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§e- điểm kỹ năng còn dư :§f "},{"score":{"name":"*","objective":"skillpoint"}},{"text":"§c điểm\n §eđiểm kỹ năng IRON BODY hiện tại :§f "},{"score":{"name":"*","objective":"ironbody"}},{"text":"§c điểm\n §eđiểm kỹ năng WARRIOR CALL hiện tại :§c "},{"score":{"name":"*","objective":"burningblood"}},{"text":"§c điểm\n §eđiểm kỹ năng LIGHTNING STEPS hiện tại :§g "},{"score":{"name":"*","objective":"lightningstep"}},{"text":"§c điểm"}]}`)
            player.runCommandAsync(`playsound note.xylophone @s`);
        }
        else if (result.selection === 1) {
            Ironbody(player);
        }
        else if (result.selection === 2) {
            Burningblood(player);
        }
        else if (result.selection === 2) {
            Burningbloodlock(player);
        }
        else if (result.selection === 3) {
            Lightningstep(player);
        }
        else if (result.selection === 3) {
            Lightningsteplock(player);
        }
        else if (result.selection === 4) {
            Adminmenu(player);
        }
    })
}


function Ironbody(player) {
    const form = new ActionFormData()
    if (player.hasTag("ironbodyunlock")) form.title("§lIRON BODY")
    if (!player.hasTag("ironbodyunlock")) form.title("§lIRON BODY[đã khóa]")
    if (!player.hasTag("ironbodyunlock")) form.body("§l mở khóa kỹ năng này cần 1 điểm kỹ năng.")
    if (player.hasTag("ironbodyunlock")) form.body("§lkỹ năng : tăng miễn sát thương  theo công thức: §a20(phần trăm) × (cấp độ) §f trong 8 giây.\nnâng cấp cần 1 điểm kỹ năng.")
    if (player.hasTag("ironbodyunlock")) form.button("§c§e NÂNG CẤP KỸ NĂNG\n§rnhấn để nâng cấp", "textures/ui/resistance_effect.png")
    if (!player.hasTag("ironbodyunlock")) form.button("§c§lMỞ KHÓA KỸ NĂNG\n§rnhấn để mở khóa", "textures/blocks/barrier")
    if (player.hasTag("ironbodyunlock")) form.button("§c§e TRANG BỊ KỸ NĂNG\n§rnhấn để nâng cấp", "textures/items/pamobile/pa_skill_slot_empty.png")
    if (!player.hasTag("ironbodyunlock")) form.button("§c§l TRANG BỊ[đã khóa]\n§rmở khóa để trang bị", "textures/blocks/barrier")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
    	if (result.selection === 0) {
            player.runCommandAsync(`scoreboard players add @s[scores={skillpoint=1..},tag=!ironbodyunlock] ironbody 1`)
            player.runCommandAsync(`tellraw @s[scores={skillpoint=1..},tag=!ironbodyunlock] {"rawtext":[{"text":"§a đã mở khóa kỹ năng : IRON BODY"}]}`)
            player.runCommandAsync(`tellraw @s[scores={skillpoint=..0}] {"rawtext":[{"text":"§c không đủ điểm kỹ năng!"}]}`)
            player.runCommandAsync(`playsound random.orb @s[scores={skillpoint=1..},tag=!ironbodyunlock]`)
            player.runCommandAsync(`tag @s[scores={skillpoint=1..},tag=!ironbodyunlock] add ironbodyunlock`)
            player.runCommandAsync(`playsound note.bass @s[scores={skillpoint=..0},tag=!ironbodyunlock]`)
            player.runCommandAsync(`scoreboard players add @s[scores={skillpoint=1..},tag=!ironbodyunlock] skillpoint -1`)
            player.runCommandAsync(`scoreboard players add @s[scores={ironbody=..4,skillpoint=1..},tag=ironbodyunlock] ironbody 1`)
            player.runCommandAsync(`tellraw @s[scores={ironbody=2,skillpoint=1..},tag=ironbodyunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng IRON BODY I --> IRON BODY II"}]}`)
            player.runCommandAsync(`tellraw @s[scores={ironbody=3,skillpoint=1..},tag=ironbodyunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng IRON BODY II --> IRON BODY III"}]}`)
            player.runCommandAsync(`tellraw @s[scores={ironbody=4,skillpoint=1..},tag=ironbodyunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng IRON BODY III --> IRON BODY IIII"}]}`)
            player.runCommandAsync(`tellraw @s[scores={ironbody=5,skillpoint=1..},tag=ironbodyunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng IRON BODY IIII --> IRON BODY IIIII"}]}`)
            player.runCommandAsync(`tellraw @s[scores={ironbody=..4,skillpoint=..0}] {"rawtext":[{"text":"§c không đủ điểm kỹ năng!"}]}`)
            player.runCommandAsync(`playsound random.orb @s[scores={ironbody=..4,skillpoint=1..},tag=ironbodyunlock]`)
            player.runCommandAsync(`playsound note.bass @s[scores={ironbody=..4,skillpoint=..0}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={ironbody=..5,skillpoint=1..},tag=ironbodyunlock,tag=!maxironbody] skillpoint -1`)
            player.runCommandAsync(`tag @s[scores={ironbody=5}] add maxironbody`);
        }
        if (result.selection === 1) {
            player.runCommandAsync(`tag @s[scores={ironbody=1..},tag=ironbodyunlock] add has_skill`)
            player.runCommandAsync(`playsound note.xylophone @s[scores={ironbody=1..},tag=ironbodyunlock]`)
            player.runCommandAsync(`tag @s[scores={ironbody=1..},tag=ironbodyunlock] remove lightningstep`)
            player.runCommandAsync(`tag @s[scores={ironbody=1..},tag=ironbodyunlock] remove burningblood`)
            player.runCommandAsync(`tag @s[scores={ironbody=1..},tag=ironbodyunlock] add ironbody`);
        }
        if (result.selection === 2) {
            Skill(player);
        }
    })
}


function Burningblood(player) {
    const form = new ActionFormData()
    if (player.hasTag("burningbloodunlock")) form.title("§lWARRIOR CALL")
    if (!player.hasTag("burningbloodunlock")) form.title("§lWARRIOR CALL[đã khóa]")
    if (!player.hasTag("burningbloodunlock")) form.body("§l mở khóa kỹ năng này cần 1 điểm kỹ năng.")
    if (player.hasTag("burningbloodunlock")) form.body("§lkỹ năng : tăng sát thương theo công thức: §asát thương chính × 1,3^(số cấp) + [1,3^(số cấp)]\n§a : 0.3 §f trong 8 giây.\nnâng cấp cần 1 điểm kỹ năng.")
    if (player.hasTag("burningbloodunlock")) form.button("§c§e NÂNG CẤP KỸ NĂNG\n§rnhấn để nâng cấp", "textures/ui/instant_damage_effect.png")
    if (!player.hasTag("burningbloodunlock")) form.button("§c§lMỞ KHÓA KỸ NĂNG\n§rnhấn để mở khóa", "textures/blocks/barrier")
    if (player.hasTag("burningbloodunlock")) form.button("§c§e TRANG BỊ KỸ NĂNG\n§rnhấn để nâng cấp", "textures/items/pamobile/pa_skill_slot_empty.png")
    if (!player.hasTag("burningbloodunlock")) form.button("§c§l TRANG BỊ[đã khóa]\n§rmở khóa để trang bị", "textures/blocks/barrier")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
    	if (result.selection === 0) {
            player.runCommandAsync(`scoreboard players add @s[scores={skillpoint=1..},tag=!burningbloodunlock] burningblood 1`)
            player.runCommandAsync(`tellraw @s[scores={skillpoint=1..},tag=!burningbloodunlock] {"rawtext":[{"text":"§a đã mở khóa kỹ năng : WARRIOR CALL"}]}`)
            player.runCommandAsync(`tellraw @s[scores={skillpoint=..0}] {"rawtext":[{"text":"§c không đủ điểm kỹ năng!"}]}`)
            player.runCommandAsync(`playsound random.orb @s[scores={skillpoint=1..},tag=!burningbloodunlock]`)
            player.runCommandAsync(`tag @s[scores={skillpoint=1..},tag=!burningbloodunlock] add burningbloodunlock`)
            player.runCommandAsync(`playsound note.bass @s[scores={skillpoint=..0},tag=!burningbloodunlock]`)
            player.runCommandAsync(`scoreboard players add @s[scores={skillpoint=1..},tag=!burningbloodunlock] skillpoint -1`)
            player.runCommandAsync(`scoreboard players add @s[scores={burningblood=..4,skillpoint=1..},tag=burningbloodunlock] burningblood 1`)
            player.runCommandAsync(`tellraw @s[scores={burningblood=2,skillpoint=1..},tag=burningbloodunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng WARRIOR CALL I --> WARRIOR CALL II"}]}`)
            player.runCommandAsync(`tellraw @s[scores={burningblood=3,skillpoint=1..},tag=burningbloodunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng WARRIOR CALL II --> WARRIOR CALL III"}]}`)
            player.runCommandAsync(`tellraw @s[scores={burningblood=4,skillpoint=1..},tag=burningbloodunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng WARRIOR CALL III --> WARRIOR CALL IIII"}]}`)
            player.runCommandAsync(`tellraw @s[scores={burningblood=5,skillpoint=1..},tag=burningbloodunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng WARRIOR CALL IIII --> WARRIOR CALL IIIII"}]}`)
            player.runCommandAsync(`tellraw @s[scores={burningblood=..4,skillpoint=..0}] {"rawtext":[{"text":"§c không đủ điểm kỹ năng!"}]}`)
            player.runCommandAsync(`playsound random.orb @s[scores={burningblood=..4,skillpoint=1..},tag=burningbloodunlock]`)
            player.runCommandAsync(`playsound note.bass @s[scores={burningblood=..4,skillpoint=..0}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={burningblood=..5,skillpoint=1..},tag=burningbloodunlock,tag=!maxburningblood] skillpoint -1`)
            player.runCommandAsync(`tag @s[scores={burningblood=5}] add maxburningblood`);
        }
        if (result.selection === 1) {
            player.runCommandAsync(`tag @s[scores={burningblood=1..},tag=burningbloodunlock] add has_skill`)
            player.runCommandAsync(`playsound note.xylophone @s[scores={burningblood=1..},tag=burningbloodunlock]`)
            player.runCommandAsync(`tag @s[scores={burningblood=1..},tag=burningbloodunlock] remove lightningstep`)
            player.runCommandAsync(`tag @s[scores={burningblood=1..},tag=burningbloodunlock] remove ironbody`)
            player.runCommandAsync(`tag @s[scores={burningblood=1..},tag=burningbloodunlock] add burningblood`);
        }
        if (result.selection === 2) {
            Skill(player);
        }
    })
}


function Lightningstep(player) {
    const form = new ActionFormData()
    if (player.hasTag("lightningstepunlock")) form.title("§lLIGHTNING STEPS")
    if (!player.hasTag("lightningstepunlock")) form.title("§lLIGHTNING STEPS[đã khóa]")
    if (!player.hasTag("lightningstepunlock")) form.body("§l mở khóa kỹ năng này cần 1 điểm kỹ năng.")
    if (player.hasTag("lightningstepunlock")) form.body("§lkỹ năng : tăng sát thương theo công thức: §asát thương chính × 1,3^(số cấp) + [1,3^(số cấp)]\n§a : 0.3 §f trong 8 giây.\nnâng cấp cần 1 điểm kỹ năng.")
    if (player.hasTag("lightningstepunlock")) form.button("§c§e NÂNG CẤP KỸ NĂNG\n§rnhấn để nâng cấp", "textures/ui/slow_falling_effect.png")
    if (!player.hasTag("lightningstepunlock")) form.button("§c§lMỞ KHÓA KỸ NĂNG\n§rnhấn để mở khóa", "textures/items/blocks/barrier")
    if (player.hasTag("lightningstepunlock")) form.button("§c§e TRANG BỊ KỸ NĂNG\n§rnhấn để nâng cấp", "textures/items/pamobile/pa_skill_slot_empty.png")
    if (!player.hasTag("lightningstepunlock")) form.button("§c§l TRANG BỊ[đã khóa]\n§rmở khóa để trang bị", "textures/items/blocks/barrier")
    form.button("§c§lTRỞ LẠI\n§rnhấn để trở lại", "textures/blocks/barrier")
    form.show(player).then(result => {
    	if (result.selection === 0) {
            player.runCommandAsync(`scoreboard players add @s[scores={skillpoint=1..},tag=!lightningstepunlock] lightningstep 1`)
            player.runCommandAsync(`tellraw @s[scores={skillpoint=1..},tag=!lightningstepunlock] {"rawtext":[{"text":"§a đã mở khóa kỹ năng : LIGHTNING STEPS"}]}`)
            player.runCommandAsync(`tellraw @s[scores={skillpoint=..0}] {"rawtext":[{"text":"§c không đủ điểm kỹ năng!"}]}`)
            player.runCommandAsync(`playsound random.orb @s[scores={skillpoint=1..},tag=!lightningstepunlock]`)
            player.runCommandAsync(`tag @s[scores={skillpoint=1..},tag=!lightningstepunlock] add lightningstepunlock`)
            player.runCommandAsync(`playsound note.bass @s[scores={skillpoint=..0},tag=!lightningstepunlock]`)
            player.runCommandAsync(`scoreboard players add @s[scores={skillpoint=1..},tag=!lightningstepunlock] skillpoint -1`)
            player.runCommandAsync(`scoreboard players add @s[scores={lightningstep=..4,skillpoint=1..},tag=lightningstepunlock] lightningstep 1`)
            player.runCommandAsync(`tellraw @s[scores={lightningstep=2,skillpoint=1..},tag=lightningstepunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng LIGHTNING STEPS I --> LIGHTNING STEPS II"}]}`)
            player.runCommandAsync(`tellraw @s[scores={lightningstep=3,skillpoint=1..},tag=lightningstepunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng LIGHTNING STEPS II --> LIGHTNING STEPS III"}]}`)
            player.runCommandAsync(`tellraw @s[scores={lightningstep=4,skillpoint=1..},tag=lightningstepunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng LIGHTNING STEPS III --> LIGHTNING STEPS IIII"}]}`)
            player.runCommandAsync(`tellraw @s[scores={lightningstep=5,skillpoint=1..},tag=lightningstepunlock] {"rawtext":[{"text":"§a đã nâng cấp kỹ năng LIGHTNING STEPS IIII --> LIGHTNING STEPS IIIII"}]}`)
            player.runCommandAsync(`tellraw @s[scores={lightningstep=..4,skillpoint=..0}] {"rawtext":[{"text":"§c không đủ điểm kỹ năng!"}]}`)
            player.runCommandAsync(`playsound random.orb @s[scores={lightningstep=..4,skillpoint=1..},tag=lightningstepunlock]`)
            player.runCommandAsync(`playsound note.bass @s[scores={lightningstep=..4,skillpoint=..0}]`)
            player.runCommandAsync(`scoreboard players add @s[scores={lightningstep=..5,skillpoint=1..},tag=lightningstepunlock,tag=!maxlightningstep] skillpoint -1`)
            player.runCommandAsync(`tag @s[scores={lightningstep=5}] add maxlightningstep`);
        }
        if (result.selection === 1) {
            player.runCommandAsync(`tag @s[scores={lightningstep=1..},tag=lightningstepunlock] add has_skill`)
            player.runCommandAsync(`playsound note.xylophone @s[scores={lightningstep=1..},tag=lightningstepunlock]`)
            player.runCommandAsync(`tag @s[scores={lightningstep=1..},tag=lightningstepunlock] remove lightningstep`)
            player.runCommandAsync(`tag @s[scores={lightningstep=1..},tag=lightningstepunlock] remove ironbody`)
            player.runCommandAsync(`tag @s[scores={lightningstep=1..},tag=lightningstepunlock] add lightningstep`);
        }
        if (result.selection === 2) {
            Skill(player);
        }
    })
}


function Cinv(player) {
    const form = new ActionFormData()
    form.title("§lInventaryo")
    form.body("§l§e»»§r§f Su inventario se borrará, ¿está seguro de que desea borrar su inventario??")
    form.button("§lAceptar")
    form.button("§lno estoy de acuerdo")
    form.show(player).then(result => {
        if (result.selection === 0) {
            player.runCommandAsync(`clear @s`)
            player.runCommandAsync(`playsound random.toast @s`)
            player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§l§a➥ §r§aSu inventario ha sido borrado"}]}`);
        }
        else if (result.selection === 1) {
            Adminmenu(player);
        }
    })
}


function Gift(player) {
    const form = new ActionFormData()
    form.title("§lGIFT")
    form.body("§l      --------------------      \n§e             ADMIN MENU       \n§r§l      --------------------      \n§r§e»» §r§fBienvenido al menú de administración, seleccione el menú que desee\n       §l§e       ADMIN MENU    ")
    form.button("§l§catrás\n§r§rHaga clic para volver")
    form.button("§lDiamond\n§rHaga clic o toque", "textures/items/diamond")
    form.button("§lAiron\n§r§rHaga clic o toque", "textures/items/iron_ingot")
    form.button("§lXp 1 bar\n§r§rHaga clic o toque", "textures/items/experience_bottle")
    form.button("§lMoney 600\n§r§rHaga clic o toque", "textures/ui/MCoin")
    form.show(player).then(result => {
        if (result.selection === 0) {
            Adminmenu(player);
        }
        else if (result.selection === 1) {
            player.runCommandAsync(`give @a diamond 64`)
            player.runCommandAsync(`playsound random.levelup @a`)
            player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"§l§a➥ §r§arecibes un regalo"}]}`);
        }
        else if (result.selection === 2) {
            player.runCommandAsync(`give @a iron_ingot 5`)
            player.runCommandAsync(`playsound random.levelup @a`)
            player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"§l§a➥ §r§arecibes un regalo"}]}`);
        }
        else if (result.selection === 3) {
            player.runCommandAsync(`xp 1l @a`)
            player.runCommandAsync(`playsound random.levelup @a`)
            player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"§l§a➥ §r§arecibes un regalo"}]}`);
        }
        else if (result.selection === 4) {
            player.runCommandAsync(`scoreboard players add @a money 600`)
            player.runCommandAsync(`playsound random.levelup @a`)
            player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"§l§a➥ §r§arecibes un regalo"}]}`);
        }
    })
}


function Sudo(player) {
    const modal = new ModalFormData()
        .title("§lMENSAJE")
        .textField("§l      --------------------      \n§e       MENSAJE A UN JUGADOR       \n§r§l      --------------------      \n§r§e»» §r§fBroma a otros con mensajes falsos\n       §l§e  mensaje a un jugador   \n§r§fNombre del jugador", "Introduce el nombre del jugador")
        .textField("message", "Enter message")
    modal.show(player).then(result => {
        if (result.formValues[1] !== "") {
            player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"<${result.formValues[0]}§r§f> ${result.formValues[1]}"}]}`)
        }
    })
}


function Giftcode(player) {
    const modal = new ModalFormData()
        .title("§lGIFTCODE")
        .textField("nhập mã giftcode :", "nhập tại đây")
    modal.show(player).then(result => {
        if (result.formValues[0] !== "") {
            player.runCommandAsync(`function ${result.formValues[0]}`)
            player.runCommandAsync(`playsound random.pop @s`)
        }
    })
}


function Kick(player) {
    const modal = new ModalFormData()
        .title("§lESPULSAR")
        .textField("§l      --------------------      \n§e       Espulsar a un jugador      \n§r§l      --------------------      \n§r§e»» §r§fdeshazte de las personas molestas\n\n§r§e»» §r§fSolo funciona en realm y servidor, y no puedes patearte a ti mismo\n\n       §l§e       KICK PLAYER    \n§r§fNombre", "Ingrese su nombre")
        .textField("razón", "Ingrese el motivo")
    modal.show(player).then(result => {
        if (result.formValues[0] !== "") {
            player.runCommandAsync(`kick ${result.formValues[0]} ${result.formValues[1]}`)
            player.runCommandAsync(`playsound random.levelup @s`)
        }
    })
}